# Organization API: Billing & Payouts: Billing

> The 8 Organization API operations for billing.

Source: https://docs.coritan.com/api/reference/organizations/billing-payouts/billing/

Part of [Billing & Payouts](/api/reference/organizations/billing-payouts/).

## Operations

| Method | Path | Summary |
| --- | --- | --- |
| GET | [`/api/v1/orgs/{org_slug}/billing/paynow`](#op-get-api-v1-orgs-org-slug-billing-paynow) | Get paynow status |
| PUT | [`/api/v1/orgs/{org_slug}/billing/paynow`](#op-put-api-v1-orgs-org-slug-billing-paynow) | Save org-owned PayNow store credentials (owngateway / hybrid) |
| GET | [`/api/v1/orgs/{org_slug}/billing/paynow/affiliates`](#op-get-api-v1-orgs-org-slug-billing-paynow-affiliates) | List paynow affiliates |
| POST | [`/api/v1/orgs/{org_slug}/billing/paynow/affiliates`](#op-post-api-v1-orgs-org-slug-billing-paynow-affiliates) | Create paynow affiliate |
| GET | [`/api/v1/orgs/{org_slug}/billing/paynow/giftcards`](#op-get-api-v1-orgs-org-slug-billing-paynow-giftcards) | List paynow giftcards |
| POST | [`/api/v1/orgs/{org_slug}/billing/paynow/giftcards`](#op-post-api-v1-orgs-org-slug-billing-paynow-giftcards) | Create paynow giftcard |
| GET | [`/api/v1/orgs/{org_slug}/billing/paynow/subscriptions`](#op-get-api-v1-orgs-org-slug-billing-paynow-subscriptions) | List paynow subscriptions |
| POST | [`/api/v1/orgs/{org_slug}/billing/paynow/subscriptions/{subscription_id}/cancel`](#op-post-api-v1-orgs-org-slug-billing-paynow-subscriptions-subscription-id-cancel) | Cancel paynow subscription |

### Get paynow status {#op-get-api-v1-orgs-org-slug-billing-paynow}

`GET /api/v1/orgs/{org_slug}/billing/paynow`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Save org-owned PayNow store credentials (owngateway / hybrid) {#op-put-api-v1-orgs-org-slug-billing-paynow}

`PUT /api/v1/orgs/{org_slug}/billing/paynow`

Save org-owned PayNow store credentials (own_gateway / hybrid).

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

Type: Body.

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### List paynow affiliates {#op-get-api-v1-orgs-org-slug-billing-paynow-affiliates}

`GET /api/v1/orgs/{org_slug}/billing/paynow/affiliates`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Create paynow affiliate {#op-post-api-v1-orgs-org-slug-billing-paynow-affiliates}

`POST /api/v1/orgs/{org_slug}/billing/paynow/affiliates`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

Type: Body.

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### List paynow giftcards {#op-get-api-v1-orgs-org-slug-billing-paynow-giftcards}

`GET /api/v1/orgs/{org_slug}/billing/paynow/giftcards`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Create paynow giftcard {#op-post-api-v1-orgs-org-slug-billing-paynow-giftcards}

`POST /api/v1/orgs/{org_slug}/billing/paynow/giftcards`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Request body

`application/json` (required)

Type: Body.

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### List paynow subscriptions {#op-get-api-v1-orgs-org-slug-billing-paynow-subscriptions}

`GET /api/v1/orgs/{org_slug}/billing/paynow/subscriptions`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Cancel paynow subscription {#op-post-api-v1-orgs-org-slug-billing-paynow-subscriptions-subscription-id-cancel}

`POST /api/v1/orgs/{org_slug}/billing/paynow/subscriptions/{subscription_id}/cancel`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `subscription_id` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |
